SOL16057 - GHOST: glibc gethostbyname buffer overflow vulnerability CVE-2015-0235

2015-01-27T00:00:00
ID SOL16057
Type f5
Reporter f5
Modified 2016-08-17T00:00:00

Description

Vulnerability Recommended Actions

If the previous table lists a version in the Versions known to be not vulnerable column, you can eliminate this vulnerability by upgrading to the listed version. If the listed version is older than the version you are currently running, or if the table does not list any version in the column, then no upgrade candidate currently exists. F5 is working to provide a patch for this issue, and will update this article as soon as a patch becomes available.

To mitigate this vulnerability, you should only permit access to F5 products over a secure network and limit login access to trusted users. For additional information, refer to SOL13092: Overview of securing access to the BIG-IP system.

For information about using the BIG-IP ASM system and iRules to mitigate various GHOST exploits, refer to the GHOST Vulnerability (CVE-2015-0235) DevCentral article.

Note: A DevCentral login is required to access this content.

Supplemental Information

  • SOL9970: Subscribing to email notifications regarding F5 products
  • SOL9957: Creating a custom RSS feed to view new and updated documents
  • SOL4602: Overview of the F5 security vulnerability response policy
  • SOL4918: Overview of the F5 critical issue hotfix policy
  • SOL167: Downloading software and firmware from F5
  • SOL7312: Overview of the management port